#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
/*
 * $Id: Morpheo_end_cycle.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "TopLevel/include/Morpheo.h"

namespace morpheo {

  using namespace behavioural;

#undef  FUNCTION
#define FUNCTION "Morpheo::end_cycle"
void Morpheo::end_cycle ()
  {
    log_begin(Morpheo,FUNCTION);

#ifdef STATISTICS
    if (usage_is_set(_usage,USE_STATISTICS))
      _stat->end_cycle();
#endif    

#ifdef VHDL_TESTBENCH
    // Evaluation before read the ouput signal
//  sc_start(0);
    if (usage_is_set(_usage,USE_VHDL_TESTBENCH))
      _interfaces->testbench();
#endif

    log_end(Morpheo,FUNCTION);
  };

}; // end namespace morpheo
#endif
